Skip to main content
GET
Get Deployment

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

deployment_id
string
required

Response

Successful Response

id
string
required
deploymentName
string
required
status
enum<string>
required
Available options:
PENDING,
DEPLOYING,
RUNNING,
TERMINATING,
COMPLETED,
FAILED,
STOPPED,
UNKNOWN,
TOMBSTONED
servedModelAlias
string
required
isOnDemand
boolean
required
createdAt
string<date-time>
required
dashboardUrl
string
required
statusPhase
string | null
errorMessage
string | null
endpointUrl
string | null
checkpoint
CheckpointRef · object | null

Step step of training run run_id.

replicas
integer | null
gpusPerReplica
integer | null
maxReplicas
integer | null
scaleState
string | null